@{
    ViewData["Title"] = "SLIP GAJI PEGAWAI";
}
<style type="text/css">
</style>
    <section class="section">
        <div class="section-header">
            <h1>Slip Gaji Pegawai</h1>
            <div class="section-header-breadcrumb">
                <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
                <div class="breadcrumb-item"><a href="#">Kepegawaian</a></div>
                <div class="breadcrumb-item active"><a href="#">Slip Gaji Pegawai</a></div>
            </div>
        </div>


        <div class="section-body">
            <div class="card" id="ListData">
                <div class="card-header form-row">
                    <h4 class="col-md-7">Slip Gaji</h4>
                    <div class="col-md-5 text-right">
                        <button type="button" class="btn btn-primary btn-flat" onclick="ModalFilter(true);"><i class="fa fa-filter"></i> Filter</button>
                    </div>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table id="TabelData" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                            <thead>
                                <tr>
                                    <th>Aksi</th>
                                    <th>Bulan</th>
                                    <th>Nomor Induk Pegawai</th>
                                    <th>Nama Pegawai</th>
                                    <th>Gaji Tetap</th>
                                    <th>Gaji Tidak Tetap</th>
                                    <th>Potongan</th>
                                    <th>Tambahan</th>
                                    <th>Total</th>
                                </tr>
                            </thead>
                            <tfoot>
                                <tr>
                                    <th>Aksi</th>
                                    <th>Bulan</th>
                                    <th>Nomor Induk Pegawai</th>
                                    <th>Nama Pegawai</th>
                                    <th>Gaji Tetap</th>
                                    <th>Gaji Tidak Tetap</th>
                                    <th>Potongan</th>
                                    <th>Tambahan</th>
                                    <th>Total</th>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>

        </div>

        <div class="section-body" id="SecSlipGaji" style="display:none">
            <div class="card">
                <div class="card-body" id="PrintSlipGaji" style='-webkit-print-color-adjust:exact; background-image: url("../../assets/img/logo-atq-watermark.png"); background-repeat: no-repeat; background-position: center;'>
                    <h3 style="text-align:center;margin-bottom:30px;">
                        <img src="~/assets/img/logo-atq.png" style="position:center;max-height:100px;object-fit:contain;" /><br />
                        SLIP GAJI PEGAWAI ISLAMIC CENTRE AT-TAUFIQ
                    </h3>
                    <div class="row" style="width:100%;">
                        <div class="col-md-3 mode-print-header">
                            <h6>NAMA PEGAWAI</h6>
                            <span id="Nama">SALIM</span>
                            <h6 class="mt-2">BULAN</h6>
                            <span id="Bulan">JUL-20</span>
                        </div>
                        <div class="col-md-3 mode-print-header">
                            <h6>UNIT KERJA</h6>
                            <span id="Unit">SMPIT</span>
                            <h6 class="mt-2">PENDIDIKAN</h6>
                            <span id="PendidikanTerakhir">S1</span>
                        </div>
                        <div class="col-md-3 mode-print-header">
                            <h6>TMT</h6>
                            <span id="TanggalMasuk">19 JULI 2010</span>
                            <h6 class="mt-2">GOLONGAN</h6>
                            <span id="Golongan">3A</span>
                        </div>
                        <div class="col-md-3 mode-print-header">
                            <h6>STATUS</h6>
                            <span id="JenisPegawai">TETAP</span>
                            <h6 class="mt-2">MKG</h6>
                            <span id="Mkg">10</span>
                        </div>

                        <div class="col-md-12">
                            <hr />
                        </div>
                        <div class="col-md-4 mode-print-content">
                            <h6>RINCIAN GAJI TETAP</h6>
                            <div class="row" id="GajiTetaps">
                            </div>
                            <br />
                            <h6>RINCIAN GAJI TIDAK TETAP</h6>
                            <div class="row" id="GajiTidakTetaps">
                            </div>
                        </div>
                        <div class="col-md-4 mode-print-content">
                            <h6>RINCIAN POTONGAN</h6>
                            <div class="row" id="Potongans">
                            </div>
                        </div>
                        <div class="col-md-4 mode-print-content">
                            <h6>RINCIAN TAMBAHAN</h6>
                            <div class="row" id="Tambahans">
                            </div>
                        </div>

                        <div class="col-md-5 mode-print-content mt-3">
                            <div class="row" id="BeasiswaPendidikanAnak">
                            </div>
                        </div>
                        <div class="col-md-7"></div>

                        <div class="col-md-5 mode-print-content">
                            <div class="row" id="TakeHomePay">
                            </div>
                        </div>
                        <div class="col-md-7"></div>

                        <div class="col-md-4 mode-print-content">
                            <div class="row">
                                <div class="col-6">
                                    <b><i class="fa fa-money"></i>  TOTAL DITERIMA</b>
                                </div>
                                <div class="col-6">
                                    <b>Rp. <span id="TotalDiterima"></span></b>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-8" style="width:60%;float:left;">
                            <b>(<i><span id="Terbilang"></span></i>)</b>
                        </div>
                    </div>
                    <hr style="border: 2px solid black;padding:0;" />
                    <div style="font-size:9pt;width:100%;color:black;">
                        Perhatian<br />
                        * Slip Gaji ini resmi diterbitkan oleh Islamic Centre At Taufiq Bogor untuk digunakan sebagaimana mestinya<br />
                        * Detail Slip Gaji ini hanya bisa dilihat oleh Islamic Centre At Taufiq dan Pegawai yang bersangkutan.<br />
                        * Pihak lain diperbolehkan melihat setelah mendapatkan izin pegawai yang bersangkutan.<br />
                    </div>
                </div>
                <div class="container form-row mb-3">
                    <div class="col-md-2">
                        <button type="button" class="btn btn-primary btn-lg" onclick="BtnPrintGaji();" id="BtnPrintGaji">
                            <i class="fa fa-print" aria-hidden="true"></i>  CETAK SLIP GAJI
                        </button>
                    </div>
                    <div class="col-md-10"></div>
                </div>
            </div>
        </div>
        

    </section>
    <div class="modal fade" id="ModalFilter" role="dialog">
        <div class="modal-dialog modal-sm" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Filter</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                </div>
                <div class="modal-body">
                    <form>
                    <div class="form-group">
                        <label for="recipient-name" class="col-form-label">Bulan:</label>
                        <select name="Month" id="Month" class="form-control">
                            <option value="1">Januari</option>
                            <option value="2">Febuari</option>
                            <option value="3">Maret</option>
                            <option value="4">April</option>
                            <option value="5">Mei</option>
                            <option value="6">Juni</option>
                            <option value="7">Juli</option>
                            <option value="8">Agustus</option>
                            <option value="9">September</option>
                            <option value="10">Oktober</option>
                            <option value="11">November</option>
                            <option value="12">Desember</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="message-text" class="col-form-label">Tahun:</label>
                        <select name="Year" id="Year" class="form-control">
                        </select>
                    </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-dark" onclick="BtnFilter()">Pencarian</button>
                </div>
            </div>
        </div>
    </div>
